import { getRequest, postFormDataRequest, postRequest, uploadFile } from "@/utils/request";

//  参数设置
export async function setParameter(data: any) {
  return postRequest(`/xgd/parameterSet/setParameter`, data);
}

// MMJ初装--清空信息
export async function secretInit_cleanInfo(params: any) {
  return getRequest(`/xgd/secretInit/cleanInfo`, params);
}

// 状态查询
export async function secretInit_getStatus(params: any) {
  return getRequest(`/xgd/secretInit/getStatus`, params);
}

// 加载数据
export async function secretInit_loadData(formData: any) {
  return uploadFile(`/xgd/secretInit/loadData`, formData);
}

// 发送命令
// @param type 1 密销毁 2 密毙 密机遥毙
export async function secretInit_sendCommand(params: any) {
  return getRequest(`/xgd/secretInit/sendCommand`, params);
}

// 发送数据
export async function secretInit_sendData(params: any) {
  return postRequest(`/xgd/secretInit/sendData`, params);
}

// 网络隔离器配置
// @param type 1.服务器列表信息 2.网络配置信息 3安全策略信息 4.管理配置信息 5.VPN策略信息 6.防火墙策略信息 7.日志记录信息
export async function getGlqInfo(params: any) {
  return getRequest(`/xgd/netGlq/getGlqInfo`, params);
}

// 远程文件配置
// @param jsonStr
// @param type
export async function remoteFileConfiSendData(params: any) {
  return getRequest(`/xgd/netGlq/remoteFileConfiSendData`, params);
}

// 远程文件配置模块的所有--清空信息
// @param type
export async function remoteFileConfigClean(params: any) {
  return getRequest(`/xgd/netGlq/remoteFileConfigClean`, params);
}

// 获取普密信息
// @param ip
export async function getTextSecretInfo(data: any) {
  return postFormDataRequest(`/xgd/netGlq/getTextSecretInfo`, data);
}